### Name: Finance
### Title: Returns on selected stocks
### Aliases: Finance
### Keywords: datasets

### ** Examples


data(Finance)

## CAPM test with GMM
r <- Finance$r
rm <- Finance$rm
rf <- Finance$rf

z <- r-rf
t <- nrow(z)
zm <- rm-rf
h <- matrix(zm,t,1)
res <- gmm(z~zm,x=h)
R <- cbind(diag(10),matrix(0,10,10))
c <- matrix(0,10,1)
lintest(res,R,c)

## APT test with Fama-French factors and GMM
r <- Finance$r
rm <- Finance$rm
rf <- Finance$rf

z <- r-rf
f1 <- rm-rf
f2 <- Finance$hml-rf
f3 <- Finance$smb-rf
h <- cbind(f1,f2,f3)
res2 <- gmm(z~f1+f2+f3,x=h)
R <- cbind(diag(10),matrix(0,10,30))
c <- matrix(0,10,1)
lintest(res2,R,c)



